import http from '@/util/http'

export const settlementOrder = (params) => http({
  url: '/order/club/product/settlement',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const submitGenerate = (data) => http({
  url: '/order/submit/distributionGenerate',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const orderPayList = (params) => http({
  url: '/order/pay/shoporders',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const orderList = (params) => http({
  url: '/order/seller/list',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const orderInsList = (params) => http({
  url: '/order/club/list',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const orderDetail = (params) => http({
  url: '/order/club/detail',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const updatedInsertVoucher = (data) => http({
  url: '/order/club/insertVoucher',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const cancelOrder = (data) => http({
  url: '/order/club/cancel',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const confirmOrder = (data) => http({
  url: '/order/club/confirm',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const shareOrderCode = (params) => http({
  url: '/order/club/share/code',
  params,
  method: 'GET',
  headers: {
    isToken: true
  }
})

export const shareCodeCheck = (params) => http({
  url: 'order/club/share/distributionCode/check',
  params,
  method: 'GET',
  headers: {
    isToken: true
  }
})

export const orderLogistics = (params) => http({
  url: '/order/club/logistics',
  params,
  method: 'GET',
  headers: {
    isToken: true
  }
})
