import http from '@/util/http'

export const payLink = (data) => http({
  url: '/order/pay/link',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const payCheckout = (params) => http({
  url: '/order/pay/checkout/counter',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const bankInfo = (params) => http({
  url: '/order/club/getShopBank',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const bankQuickPay = (data) => http({
  url: '/order/pay/quick/pay',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const getBankList = (params) => http({
  url: '/user/club/banks',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const orderPayOnline = (data) => http({
  url: '/order/pay/online',
  method: 'POST',
  data
})

export const orderPayQuickBindCard = (data) => http({
  url: '/order/pay/quick/bind/card',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const orderPayQuickPay = (data) => http({
  url: '/order/pay/quick/pay',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

// 信息校验
export const orderPayQuickBindCode = (params) => http({
  url: '/order/pay/quick/bind/code',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})
