import http from '@/util/http'

// 分销登录
export const login = (data) => http({
  url: `/user/login/distribution?mobileOrEmail=${data.mobileOrEmail}&password=${data.password}`,
  method: 'POST',
  headers: {
    isToken: false
  }
})

// 获取验证码
export const getCode = params => http({
  url: '/user/login/code',
  method: 'GET',
  params,
  headers: {
    isToken: false
  }
})

// 验证码登录
export const codeLogin = (data) => http({
  url: `/user/login/organizeDistribution?mobile=${data.mobile}&code=${data.code}`,
  method: 'POST',
  headers: {
    isToken: false
  }
})

// 获取个人信息
export const getUserInfo = params => http({
  url: '/user/distribution/home',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

// 更新个人中心
export const updatedUserInfo = data => http({
  url: '/user/distribution/setHome',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

// 图形验证码
export const getImageCode = params => http({
  url: '/user/captcha',
  method: 'GET',
  params,
  headers: {
    isToken: false
  }
})

// 发送短信接口
export const getSmsCode = params => http({
  url: '/user/sms/code',
  method: 'GET',
  params,
  headers: {
    isToken: false
  }
})

export const setPassword = data => http({
  url: '/user/distribution/setPassword',
  method: 'POST',
  data,
  headers: {
    isToken: false,
    'Content-Type': 'application/x-www-form-urlencoded'
  }
})
