export function getBase64Image (src) {
  return new Promise((resolve, reject) => {
    const img = new Image()
    const canvas = document.createElement('canvas')
    img.crossOrigin = 'Anonymous'
    img.src = src + `?t=${Date.now() / 1000}`
    console.log(img.src)
    img.onload = function () {
      canvas.width = img.width
      canvas.height = img.height
      const ctx = canvas.getContext('2d')
      ctx.drawImage(img, 0, 0, img.width, img.height)
      const ext = img.src.substring(img.src.lastIndexOf('.') + 1).toLowerCase()
      const dataURL = canvas.toDataURL('image/' + ext)
      resolve(dataURL)
    }
  })
}

// export function getBase64Image (ref) {
//  return new Promise((resolve, reject) => {
//    console.log(ref)
//    const canvas = document.createElement('canvas')
//    canvas.width = ref.naturalWidth // 使用 naturalWidth 为了保证图片的清晰度
//    canvas.height = ref.naturalHeight
//    canvas.style.width = canvas.width
//    canvas.style.height = canvas.height
//    const ctx = canvas.getContext('2d')
//    if (!ctx) {
//      return null
//    }
//    ctx.drawImage(ref, 0, 0)
//    const base64 = canvas.toDataURL('image/png')
//    resolve(base64)
//  })
// }

export function getBase64Image2 (src, callback, outputFormat) {
  var xhr = new XMLHttpRequest()
  xhr.open('GET', src, true)

  xhr.responseType = 'arraybuffer'

  xhr.onload = function (e) {
    if (xhr.status === 200) {
      var uInt8Array = new Uint8Array(xhr.response)
      var i = uInt8Array.length
      var binaryString = new Array(i)
      while (i--) {
        binaryString[i] = String.fromCharCode(uInt8Array[i])
      }
      var data = binaryString.join('')
      var base64 = window.btoa(data)
      var dataUrl = 'data:' + (outputFormat || 'image/png') + ';base64,' + base64
      callback.call(this, dataUrl)
    }
  }

  xhr.send()
}
