import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getter'
import institution from './institution'
import user from './user'
import createPersistedState from 'vuex-persistedstate'

Vue.use(Vuex)

export default new Vuex.Store({
  getters,
  modules: {
    institution,
    user
  },
  plugins: [
    createPersistedState({
      key: 'MyUsersStore',
      paths: ['user', 'institution'],
      storage: window.sessionStorage
    })
  ]
})
