// 机构 store
import { login } from '@/api/institutionApi/login'
import { setToken } from '@/util/auth'
import { addressList } from '@/api/institutionApi/address'

const state = () => ({
  suId: 0,
  spId: 0,
  INSTOKEN: null,
  isAddress: false,
  addressAll: []
})

const mutations = {
  SET_TOKEN: (state, k) => {
    state.INSTOKEN = k
  },
  SET_ADDRESS_ALL: (state, k) => {
    state.addressAll = k
  }
}

const actions = {
  insLogin: ({ commit }, userInfo) => {
    return new Promise((resolve, reject) => {
      login(userInfo).then(res => {
        setToken(res.token)
        commit('SET_TOKEN', res.token)
        console.log('登录成功', res)
        resolve(res)
      }).catch(err => {
        reject(err)
      })
    })
  },
  addressList: ({ commit }) => {
    return new Promise((resolve, reject) => {
      addressList().then(res => {
        commit('SET_ADDRESS_ALL', res)
        resolve(res)
      }).catch(err => {
        reject(err)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
