// 用户 store
import { login, getUserInfo, codeLogin } from '@/api/userApi/login'
import { setToken, removeToken } from '@/util/auth'

const state = () => ({
  USERTOKEN: null,
  isFindCard: false,
  userId: null,
  manage: null,
  userInfo: null,
  isManage: false
})

const mutations = {
  SET_TOKEN: (state, k) => {
    state.USERTOKEN = k
  },
  SET_USERID: (state, k) => {
    state.userId = k
  },
  SET_USERINFO: (state, k) => {
    state.userInfo = k
  },
  SET_MANAGE: (state, k) => {
    state.manage = k
  },
  SET_IS_MANAGE: (state, k) => {
    state.isManage = k
  }
}

const actions = {
  userLogin: ({ commit }, userInfo) => {
    return new Promise((resolve, reject) => {
      login(userInfo).then(res => {
        setToken(res.token)
        commit('SET_USERID', res.userId)
        commit('SET_TOKEN', res.token)
        console.log('登录成功', res)
        resolve(res)
      }).catch(err => {
        reject(err)
      })
    })
  },
  codeLogin: ({ commit }, userInfo) => {
    return new Promise((resolve, reject) => {
      codeLogin(userInfo).then(res => {
        setToken(res.token)
        commit('SET_USERID', res.userId)
        commit('SET_TOKEN', res.token)
        console.log('登录成功', res)
        resolve(res)
      }).catch(err => {
        reject(err)
      })
    })
  },
  getUserInfo: ({ commit }, data) => {
    return new Promise((resolve, reject) => {
      console.log(data)
      getUserInfo({ userId: data }).then(res => {
        commit('SET_USERINFO', res)
        commit('SET_IS_MANAGE', res.parentId === 0)
        console.log('用户信息', res)
        resolve(res)
      }).catch(err => {
        reject(err)
      })
    })
  },
  loginOut: ({ commit }) => {
    return new Promise((resolve, reject) => {
      commit('SET_TOKEN', '')
      removeToken()
      resolve(resolve)
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
