import { appId } from '@/config/js-config'
import { Toast } from 'vant'

export default {
  methods: {
    isWeChat () {
      return window.navigator.userAgent.toLowerCase().match(/MicroMessenger/i) === 'micromessenger'
    },
    redirectPage () {
      Toast.loading({
        message: '加载中...',
        forbidClick: true
      })
      const orderInfo = {
        isShow: 1,
        shopOrderId: this.$route.query.shopOrderId,
        payAmount: this.$route.query.payAmount
      }
      location.href = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${appId}&redirect_uri=${encodeURIComponent('https://sell-b.caimei365.com/wechatpay')}&response_type=code&scope=snsapi_base&state=${JSON.stringify(orderInfo)}#wechat_redirect`
    },
    inItPayMent () {
      if (this.isWeChat && this.isShow === 0) {
        this.redirectPage()
      }
    },
    getCode () {
      const js = JSON.parse(this.$route.query.state)
      this.payAmount = js.payAmount
      this.shopOrderId = js.shopOrderId
      this.wechatcode = this.$route.query.code
    },
    random (min, max) {
      return Math.floor(Math.random() * (max - min)) + min
    },
    hlb_handlResponse (data) {
      console.log('rt10_payInfo' + data)
      const PayInfo = JSON.parse(data.rt10_payInfo)
      if (typeof WeixinJSBridge === 'undefined') {
        if (document.addEventListener) {
          document.addEventListener('WeixinJSBridgeReady', this.hlb_onBridgeReady, false)
        } else if (document.attachEvent) {
          document.attachEvent('WeixinJSBridgeReady', this.hlb_onBridgeReady)
          document.attachEvent('onWeixinJSBridgeReady', this.hlb_onBridgeReady)
        }
      } else {
        this.hlb_onBridgeReady(PayInfo)
      }
      this.isSubMitStatus = false
    },
    hlb_onBridgeReady (data) { // 调起微信公众号支付
      console.log('支付验证签名', data)
      WeixinJSBridge.invoke('getBrandWCPayRequest', {
        appId: data.appId, // 公众号名称，由商户传入
        timeStamp: data.timeStamp, // 时间戳，自1970年以来的秒数
        nonceStr: data.nonceStr, // 随机串
        package: data.package,
        signType: data.signType, // 微信签名方式：
        paySign: data.paySign // 微信签名
      },
      function (res) {
        if (res.err_msg === 'get_brand_wcpay_request:ok') {
          Toast.success('支付成功')
        } else if (res.err_msg === 'get_brand_wcpay_request:cancel') {
          Toast.fail('用户取消支付,请重新扫码支付')
          setTimeout(function () {
            WeixinJSBridge.call('closeWindow')
          }, 3000)
        } else {
          Toast.fail('支付失败,请重新扫码支付')
          setTimeout(function () {
            WeixinJSBridge.call('closeWindow')
          }, 3000)
        }
      })
    }
  }
}
